org.eclipse.jetty.util.ajax

## Interface JSON.Source

- All Known Implementing Classes:
    JSON.ReaderSource, JSON.StringSource
  Enclosing class:
    JSON

      public static interface JSON.Source

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `char` | `next()`
    `char` | `peek()`
    `char[]` | `scratchBuffer()`

- - ### Method Detail

    - #### hasNext

          boolean hasNext()

    - #### next

          char next()

    - #### peek

          char peek()

    - #### scratchBuffer

          char[] scratchBuffer()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.